import pandas as pd 
import numpy as np 

categories = ['common', 'age', 'tumor', 'status', 'stage', 'histological']

common_df = pd.read_excel("../Results/KEGG.xlsx", sheet_name="common", header=0)
for category in categories:
    curr_df = pd.read_excel("../Results/KEGG.xlsx", sheet_name=category, header=0)
    common = np.intersect1d(common_df["KEGG pathway"].values[:15], curr_df["KEGG pathway"].values[:15]) 
    print(category)
    print(common)
    # print(common.shape)